Skip to main content
`Ctrl`+`K`

# DMPlexMigrate

Migrates internal `DM` data over the supplied star forest

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexMigrate(DM dm, PetscSF sf, DM targetDM)

Collective

## Input Parameters

- dm - The source `DMPLEX` object

- sf - The star forest communication context describing the migration pattern

## Output Parameter

- targetDM - The target `DMPLEX` object

## See Also

`DMPLEX`, `PetscSF`, `DM`, `DMPlexDistribute()`, `DMPlexDistributeOverlap()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages